#
# spec file for package seyon (Version 2.20c)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 freetype2-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         seyon
Copyright:    GPL
Group:        X11/Applications/Networking
Autoreqprov:  on
Version:      2.20c
Release:      309
Summary:      Telecommunications under X
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-kermit-1.0.tar.bz2
Source2:      %{name}_skel.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
The best telecommunications package for X available at present; it has
separate windows for control, terminal, telephone register, etc.
Seyon supports several protocols (Zmodem, Kermit, etc.) and
auto download (only Zmodem). Using the built-in script language,
automatic login or up/downloading is no longer a problem.
Attention : For security reasons we had to remove the sgid bit for the
uucp group. Please note, that all users that should be able to use seyon
must be added to the group uucp (e.g. with YaST).
If there are only only "trusted users" in your system and you want to
ensure, that seyon is usable for all of them, add the following line to
/etc/permissions.local and call SuSEconfig
/usr/X11R6/bin/seyon                   root.uucp        2755
The actual transmission is provided by the several programs like sz/rz/kermit.
Since we are not allowed to supply kermit with our distribution you have to
get it yourself from the Internet (ftp: kermit.columbia.edu). Please look at
the various sites as sunsite.unc.edu or any server which mirrors sunsite
(ftp.gwdg.de under /pub/Linux/X11/xapps/comm or /pub/Linux/apps/comm).
You have to configure ~/.seyon/protocol to use it.

Authors:
--------
    Muhammad M. Saggaf <alsaggaf@mit.edu>

SuSE series: n

%define kermit seyon-kermit-1.0
%prep
%setup -a 1 -a 2
%patch -p1
cd ..

%build
xmkmf
make CCOPTIONS=${RPM_BUILD_OPTIONS}
cd %{kermit}
make config

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/skel
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
make "DESTDIR=$RPM_BUILD_ROOT" install install.man
install %{kermit}/seyon-kermit $RPM_BUILD_ROOT/usr/X11R6/bin
ln -sf xterm $RPM_BUILD_ROOT/usr/X11R6/bin/seyon-emu
#
mv 1-BUGREPORT BUGREPORT
mv 1-CHANGES CHANGES
mv 1-FAQ FAQ
mv 1-HISTORY HISTORY
mv 1-README README
mv 1-TODO TODO
mv %{kermit}/README README-kermit
#

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGREPORT CHANGES FAQ HISTORY README TODO README-kermit
%doc skel
%attr(2755, root, uucp) /usr/X11R6/bin/seyon
/usr/X11R6/bin/seyon-emu
/usr/X11R6/bin/seyon-kermit
%config %attr(644, -, -) /usr/X11R6/lib/X11/app-defaults/Seyon
%config %attr(644, -, -) /usr/X11R6/lib/X11/app-defaults/Seyon-color
%doc %attr(644, -, -) /usr/X11R6/lib/X11/seyon.help
%doc %attr(644, -, -) /usr/X11R6/man/man1/seyon.1x.gz

%changelog -n seyon
* Fri Aug 17 2001 - adostal@suse.cz
- fix neededforbuild (freetype2)
- convert gz to bz2 and fix spec (%%{name}, %%{_tmppath})
* Tue Aug 14 2001 - cstein@suse.de
- moved default config files from aaa_skel (/etc/skel/.seyon) into
  the DOC-directory of this package.
* Thu Mar 01 2001 - ro@suse.de
- don't redeclare usleep
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri Mar 24 2000 - bubnikv@suse.cz
- added buildroot
* Thu Oct 21 1999 - freitag@suse.de
- update to version 2.20c, seyon-kermit stays V. 1.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Dec 10 1998 - bs@suse.de
- mkdir /etc/skel before make install.
* Thu Feb 06 1997 - rj@suse.de
- Version 2.14c
- lock-directory now /var/lock
- seyon-kermit now included
- seyon-kermit has lock-default in /var/lock
